# SplObjectStorage::next

(PHP 5 >= 5.1.0, PHP 7)

SplObjectStorage::next — Move to the next entry

### Description

public SplObjectStorage::next ( void ) : void

Moves the iterator to the next object in the storage.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 SplObjectStorage::next() example

`<?php
$s = new SplObjectStorage();
$o1 = new StdClass;
$o2 = new StdClass;
$s->attach($o1, "d1");
$s->attach($o2, "d2");
$s->rewind();
while($s->valid()) {
$index = $s->key();
$object = $s->current(); // similar to current($s)
var_dump($index);
var_dump($object);
$s->next();
}
?>`

The above example will output something similar to:

    int(0)
    object(stdClass)#2 (0) {
    }
    int(1)
    object(stdClass)#3 (0) {
    }

### See Also

- SPLObjectStorage::rewind() - Rewind the iterator to the first storage element